<template>
    <div > 
          <div class="left_container">
          <h2 @click="projectlist()"> 我是路由</h2>
        <!-- <RouterLink to="/myDemo" >点击</RouterLink> -->
        <RouterLink :to="{path:'/myHome'}">跳转到目标页</RouterLink>
         </div>
         <!-- 展示去 -->
         <div class="mian-content">
          <div class="demo-pagination-block">
    <div class="demonstration">Jump to</div>
    <el-pagination
      v-model:current-page="currentPage3"
      v-model:page-size="pageSize3"
      :small="small"
      :disabled="disabled"
      :background="background"
      layout="prev,total, pager, next, jumper"
      :total="total"
      @size-change="handleSizeChange"
      @current-change="handleCurrentChange"
    />
  </div>
  <div class="demo-pagination-block">
    <div class="demonstration">Total item count</div>
    <el-pagination
      v-model:current-page="currentPage1"
      :page-size="100"
      :small="small"
      :disabled="disabled"
      :background="background"
      layout="total, prev, pager, next,jumpersizes,"
      :total="1000"
      @size-change="handleSizeChange"
      @current-change="handleCurrentChange"
    />
  </div>
          <RouterView></RouterView>

         </div>
       </div>
     </template>
   <script setup>
   import { ref, onMounted,defineProps, reactive, } from "vue";
    import {RouterView,RouterLink } from "vue-router"
     import { request, uploadFile } from "@/utils/request";
     const currentPage1 = ref(5)
    const currentPage2 = ref(5)
    const currentPage3 = ref(5)
    const currentPage4 = ref(4)
    const pageSize2 = ref(100)
    const pageSize3 = ref(100)
    const pageSize4 = ref(100)
    const small = ref(false)
    const total= ref(1000)
    const background = ref(false)
    const disabled = ref(false)
    function handleSizeChange (){
      console.log(`${val} items per page`)
    }
    function handleCurrentChang() {
      console.log(`current page: ${val}`)
    }
    onMounted(()=>{
     //  projectlist()


})
    function projectlist(){//列表加载
  
        //  setTimeout(() => {
       const params = {
          transCode: 'C00001',
        page: 1,
        count: 5,
        searchtag:"",
        userId:"5f06c8bc77234f969d13e160b54c27e3"
        }
        request(params)
          .then((res) => { 
            console.log(res)
          })
          .catch((err) => {
          })
          // }, 1500)
    }
   </script>
   <style scoped>
   .left_container {
     padding: 15px;
     width: 300px;
     position: relative;
     top: 60px;
     left: 169px;
     z-index: 2018;
     border-radius: 5px;
     box-shadow: 0px 3px 10px rgba(255, 255, 255, 0.1);
   }
   .mian-content{
    width: 500px;
    height: 600px;
    border: 1px solid;
    margin-left: 300px;
    margin-top: 100px;
   }
   </style>